/*
 * Copyright 1999 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

/*  next_cmd.h  ---  Definitions for a simple command line processor.  */

#ifndef __NEXT_CMD_H__
#define __NEXT_CMD_H__

#define NUM_COMMAND_LINES	20
#define COMMAND_LINE_LENGTH	100

extern void add_command_to_history_buffer( char *command_line );

extern int get_first_command_index( void );
extern int get_last_command_index( void );
extern int get_total_num_commands( void );

extern char *get_history_buffer_line( int line_number );

extern char *read_next_command_line( void );

#endif /* __NEXT_CMD_H__ */

